package se.urmo.game.entities.ghost.mode;

import se.urmo.game.entities.ghost.Ghost;
import se.urmo.game.entities.pacman.PacMan;
import se.urmo.game.map.GameMap;
import se.urmo.game.util.Direction;
import se.urmo.game.util.MyPoint;

import java.awt.image.BufferedImage;

public interface GhostState {
    void update(Ghost ghost, PacMan pacman, GameMap map);

    MyPoint getPosition();

    Direction getDirection();

    BufferedImage[] getAnimation();
}
